List the SCIM schemas
/scim/v2/directories/{directoryId}/SchemasSCIM 2.0 (RFC 7644 §4). Lists the core User and Group schemas and the attributes this service provider reads from them, as a SCIM ListResponse.
Path Parameters
directoryIdstring Required The directory the SCIM token was minted for.
Responses
application/scim+json
schemas *string[]totalResults *numberstartIndex *number1-based
itemsPerPage *numberResources *any object[]The `ResourceType` or `Schema` resources for Users and Groups (RFC 7643 sections 6 and 7)
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
Returned object
curl -X GET "https://auth.canopy-io.com/scim/v2/directories/value/Schemas"
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 0, "startIndex": 0, "itemsPerPage": 0, "Resources": [ {} ] }
Tell us how we can improve this guide.